newCollection.Chromosome {galgo} | R Documentation

## Generates a list of chromosomes cloning the original chromosome object

### Description

Generates a list of chromosomes cloning the original chromosome object. It only use the generic newCollection method.

### Usage

    ## S3 method for class 'Chromosome'
    newCollection(.O, ...)

### Arguments

`n` | Number of object clones.

### Value

Returns a list with cloned objects. The names are build with the class and a consecutive number.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Chromosome`. `unObject`, `as.list.Object`, `newCollection.Chromosome`, `newRandomCollection.Chromosome`, `Niche`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       cr
       # list of two new identical Chromosome objects (different id)
       newCollection(cr, 2)
       ni <- Niche(chromosomes = newCollection(cr, 2))
       ni # same genes values, different objects
       generateRandom(ni)
       ni # different genes values

       # creation and random generation at the same time
       ni <- Niche(chromosomes = newRandomCollection(cr, 2))
       ni

[Package galgo version 1.4 Index]